| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::ConnectionInterfaceBalanceInterface Class Reference
Connection proxies

`#include <TelepathyQt/Connection>`

Inherits Tp::AbstractInterface.

List of all members.

## Signals

- void BalanceChanged (const Tp::CurrencyAmount &balance)

## Public Member Functions

- ConnectionInterfaceBalanceInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceBalanceInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceBalanceInterface (Tp::DBusProxy *proxy)
- ConnectionInterfaceBalanceInterface (const Tp::Client::ConnectionInterface &mainInterface)
- ConnectionInterfaceBalanceInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyAccountBalance () const
- Tp::PendingVariant * requestPropertyManageCreditURI () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Balance".

## Constructor & Destructor Documentation

Tp::Client::ConnectionInterfaceBalanceInterface::ConnectionInterfaceBalanceInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceBalanceInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceBalanceInterface::ConnectionInterfaceBalanceInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceBalanceInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceBalanceInterface::ConnectionInterfaceBalanceInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceBalanceInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ConnectionInterfaceBalanceInterface::ConnectionInterfaceBalanceInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) | `[explicit]`

Creates a ConnectionInterfaceBalanceInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::ConnectionInterfaceBalanceInterface::ConnectionInterfaceBalanceInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfaceBalanceInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ConnectionInterfaceBalanceInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.Balance", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceBalanceInterface::requestPropertyAccountBalance | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `AccountBalance` of type `Tp::CurrencyAmount`.

The user's balance on the account corresponding to this ConnectionInterface . A negative amount may be possible on some services, and indicates that the user owes money to the service provider.

On initial connection, this property may have an unknown value, represented by Amount = `0`, Scale = `2**32 - 1` (the largest possible 32-bit unsigned integer) and Currency = `""`.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceBalanceInterface::requestPropertyManageCreditURI | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `ManageCreditURI` of type `QString`.

A URI the user may visit via the web browser to manage and top-up their account balance. This property is not guaranteed to be well-defined until the connection becomes Connected; there is no change notification. Different protocols and even servers or gateways (e.g. SIP and XMPP PSTN gateways) will have a different website used to manage a user's account balance. This property enables the client to provide that to the user. A Connection Manager MAY set this itself (because it is static or discoverable), or expose it as a connection parameter.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::ConnectionInterfaceBalanceInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::ConnectionInterfaceBalanceInterface::BalanceChanged | ( | const Tp::CurrencyAmount & | balance | ) | `[signal]`

Represents the signal `BalanceChanged` on the remote object.

Emitted when the user's balance has changed.

Parameters:

  balance | The new value of the AccountBalance property.

void Tp::Client::ConnectionInterfaceBalanceInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.